Bug 149645 - rpc.svcgssd failed to start, cause a gssd module isn't mounted
rpc.svcgssd failed to start, cause a gssd module isn't mounted
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
: 149579 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-02-24 15:10 EST by Haibin Wang
Modified: 2012-06-20 12:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Haibin Wang 2005-02-24 15:10:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:

rpc.svcgssd failed to start, complaining unable to open a file at:


Indeed it happened cause the module rpcsec_gss_krb5 isn't loaded
automatically by gssd script when NFS starts. 

This is first mentioned by Chuck Level at NFSv4 mailing list. 

Version-Release number of selected component (if applicable):
1.0.6-39 to

How reproducible:

Steps to Reproduce:
1./usr/sbin/rpc.svcgssd -f -v

Actual Results:  Unable to open file

Additional info:

I reported a similiar bug under 149579 for Enterprise 4 Beta under a
different name. Cause I was unable to shift it to Enterprise standard
version, as I also learned from Chuck Lever's post on NFSv4 mailing
list that this is reproducable for NFS3, I think this may be a
universial problem for all nfs-util package. 

A suggested fix would be:

When SECURE_NFS="yes" is indicated in /etc/sysconfig/nfs
then modprobe rpcsec_gss_krb5 automatically in init.d/rpc(svc)gssd
Comment 1 Steve Dickson 2005-03-01 15:44:53 EST
This is fixed in nfs-utils-
Comment 2 Jay Turner 2005-03-02 05:24:48 EST
*** Bug 149579 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Pallich 2012-06-20 12:04:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.